class BaseOrigamiController < ActionController::Base
  include LoginVerification
  layout "origami"

  #before_action :check_installation
  protect_from_forgery with: :exception

  rescue_from CanCan::AccessDenied do |exception|
    flash[:warning] = exception.message
    redirect_to origami_root_path
  end

  def current_user
    @current_user ||= Employee.find_by_token_session(session[:session_token]) if session[:session_token]
  end

end
